#ifndef DIGITALKEYBD_H

char digital_keybd_start_scan (unsigned char, unsigned char);
char digital_keybd_end_scan (unsigned char, unsigned char);
void key_handler (unsigned char, unsigned char);
void keyboard_ui (void);
#if DIGITALKEYBD_MAIN
#define EXTERN
#define INIT(x) =x
#else
#define EXTERN extern
#define INIT(x)
#endif

EXTERN unsigned char kbui_state INIT(0);

// the code depends on these values being successive monotonic increasing.
#define  KeyPad_0_KeyCode '0'
#define  KeyPad_1_KeyCode '1'
#define  KeyPad_2_KeyCode '2'
#define  KeyPad_3_KeyCode '3'
#define  KeyPad_4_KeyCode '4'
#define  KeyPad_5_KeyCode '5'
// this can be anything, but an ASCII value prints nicely in the debug output.
#define  KeyNONE 'n'

// too short a delay and we get "false" keys after a real keypress.
#define SCANDELAY 50	// experimentally determined

#define DIGITALKEYBD_H 1
#endif
